'
' Amicus18 GPS Receiver Shield Demo
'
' Receive GPS data and parse it into date, time, and position
' Display the information on the serial terminal
'
    Declare Float_Display_Type = Fast                           ' Faster, more accurate floating point display routine
    
    Include "GPS.inc"                                           ' Load the GPS routines into the program
       
'------------------------------------------------------------------------------
' Main program loop starts here
'
Main:      
    While 1 = 1                                                 ' Create an infinite loop
        GPS_Parse()                                             ' Gather the GPS serial data and parse it
        HRSOut 1                                                ' Clear the serial terminal
        '
        ' Display the GPS information on the serial terminal
        '
        HRSOut "Date: ", Dec2 GPS_Day, ":", Dec2 GPS_Month, ":", Dec2 GPS_Year, 13,_
               "Time: ", Dec2 GPS_Hours, ":", Dec2 GPS_Minutes, ":", Dec2 GPS_Seconds, " UTC", 13
        Select GPS_FixType                                      ' Has a GPS fix has occured?
            Case > 0                                            ' Yes. So display the results
                HRSOut "Latitude: ", Dec4 GPS_Latitude, " ", GPS_LatBearing, 13,_ 
                       "Longitude: ", Dec4 GPS_Longitude, " ", GPS_LonBearing, 13,_ 
                       "Satellites in view: ", Dec GPS_SatsInView, 13,_
                       "Fix type: ", Dec1 GPS_FixType, 13
            Case Else                                           ' Otherwise...
                HRSOut "Satellites in view: ", Dec GPS_SatsInView, 13, "No GPS Fix\r"
        EndSelect       
        DelayMS 255                                             ' Wait before taking another GPS sample
    Wend                                                        ' Do it forever
    
    
    
    
    
    
    
